var inicio=0;

function aumentar(num){

inicio = num + 10;
Cargar();
}

function disminuir(num){

  if(num>0 ){
    inicio = num - 10;
    Cargar();
  }

}

function Cargar(){
document.location.href="ingresar_profesores.php?pos="+inicio;
}


//----------------------------------------------------
$(document).ready(function(){

    $("#bton_insertar").click(function(){
         var parametros = {"accion":'mostrar_tabla'};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/insertar_profesor.php",
                    type: "POST",
                success: function(opciones){$("#insertar").html(opciones);}})});});
//-----------------------------------------------------
function get(id){
    return document.getElementById(id).value;
}

function Limpiar(){
    document.getElementById('CODIGO').value="";
    document.getElementById('NOMBRES').value="";
    document.getElementById('DIRECCION').value="";
    document.getElementById('TELEFONO').value="";
}

function Grabar(){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var v1=get('CODIGO');
var v2=get('NOMBRES');
var v3=get('DIRECCION');
var v4=get('TELEFONO');

//alert(v1+ " - "+v2+ " - "+v3+ " - "+v4+ " - "+v5);

if (v1=="") {
    alert("Digite C&oacute;digo");
    return 0;
}
if (v2=="") {
    alert("Digite Nombres y Apellidos");
    return 0;
}

if (v3=="") {
    alert("Digite Direcci&oacute;n");
    return 0;
}
if (v4=="") {
    alert("Digite Tel&eacute;fono");
    return 0;
}

var parametros = {"accion":'grabar_profesor',
                          "codigo" :v1,
                          "nombres" :v2,
                          "direccion" :v3,
                          "telefono" :v4
                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_profesor.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        Limpiar();
                        document.location.href="ingresar_profesores.php?pos="+p;
                }
        });

}

function Actualizar(){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var v1=get('CODIGO');
var v2=get('NOMBRES');
var v3=get('DIRECCION');
var v4=get('TELEFONO');

//alert(v1+ " - "+v2+ " - "+v3+ " - "+v4+ " - "+v5);

if (v2=="") {
    alert("Digite Nombres y Apellidos");
    return 0;
}

if (v3=="") {
    alert("Digite Direcci&oacute;n");
    return 0;
}
if (v4=="") {
    alert("Digite Tel&eacute;fono");
    return 0;
}

var parametros = {"accion":'actualizar_profesor',
                          "codigo" :v1,
                          "nombres" :v2,
                          "direccion" :v3,
                          "telefono" :v4
                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_profesor.php",
                type:  'post',
                success:function (response){
                        document.location.href="ingresar_profesores.php?pos="+p;
                        alert(response);
                }
        });

}

//------------------------------------------
function Eliminar(codigo,inicio,total){


    if ((total>10) && (total-inicio==1)){
       inicio=inicio-10;
   }

   var parametros = {"accion":'borrar_profesor',"codigo" :codigo};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_profesor.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        document.location.href="ingresar_profesores.php?pos="+inicio;

                }
        });
}

//------------------------------------------
function Editar(codigo,inicio){

    var parametros = {"accion":'editar_profesor',"codigo" :codigo};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_profesor.php",
                type:  'post',
                success: function(opciones){$("#insertar").html(opciones);

                }
        });
}

//-----------------------------------
function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}

